# Update parts of a custom field template

URL: /en/docs/api/v1/custom-fields/id/patch
Last Updated: 2026-07-30T21:15:29.880Z

## Description
No description available.

## Available Actions
- Execute PATCH request
- View request parameters
- View response schema
- Get code examples
- Navigate to related topics
- View step-by-step instructions
- Get best practices

## Content
### PATCH /api/v1/custom-fields/{id}

**Update parts of a custom field template**

Partially update a custom field template (translations and options included).

**Authentication:** Bearer token (`Authorization: Bearer <token>`)

**Path parameters:**

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | Yes |  |

**Request body** (`application/json`) - required:

- `title` (string)
- `collection` (enum: accounts | contacts)
- `type` (enum: text | number | boolean | date | select | multi_select | checkbox)
- `always_ask` (boolean)
- `required` (boolean)
- `display` (array of enum: header | document)
- `default_value` (string)
- `order` (integer (int32))
- `options` (array of CustomFieldOption (object))
  - `value` (string)
  - `label` (array of CustomFieldOptionLabel (object))
    - `languages_code` (enum: en-US | de-DE | fr-FR)
    - `translation` (string)
- `translations` (array of CustomFieldTranslation (object))
  - `languages_code` (enum: en-US | de-DE | fr-FR)
  - `title` (string)

**Responses:**

- `200` - Custom field template updated
  - `success` (boolean)
  - `data` (CustomFieldTemplate (object))
    - `title` (string)
    - `collection` (enum: accounts | contacts)
    - `type` (enum: text | number | boolean | date | select | multi_select | checkbox)
    - `always_ask` (boolean)
    - `required` (boolean)
    - `display` (array of enum: header | document)
    - `default_value` (string)
    - `order` (integer (int32))
    - `options` (array of CustomFieldOption (object))
      - `value` (string)
      - `label` (array of CustomFieldOptionLabel (object))
        - `languages_code` (enum: en-US | de-DE | fr-FR)
        - `translation` (string)
    - `translations` (array of CustomFieldTranslation (object))
      - `languages_code` (enum: en-US | de-DE | fr-FR)
      - `title` (string)
- `400` - Bad Request - validation failed
- `401` - Unauthorized
- `403` - Forbidden - Admin role required
- `404` - Not found
- `500` - Internal server error

**Code samples:**

cURL:

```bash
curl -X PATCH "https://app.orbiqhq.com/api/v1/custom-fields/cft-123" \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "required": true,
  "display": ["header", "document"],
  "translations": [
    { "languages_code": "en-US", "title": "Job title" }
  ]
}'

```

